Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
eZAddress Class Reference

## Public Member Functions
| __construct ( $id="")
| store ()
| get ( $id="")
& | copy ()
| unsetID ()
| setStreet1 ( $value)
| setStreet2 ( $value)
| setName ( $value)
| setZip ( $value)
| setPhone ( $value)
| setAddressType ( $value)
| setAddressTypeID ( $value)
| id ()
| street1 ()
| street2 ()
| name ()
| zip ()
| phone ()
| addressTypeID ()
| addressType ()
| setPlace ( $value)
| setCountry ( $country)
| setRegion ( $region)
| place ()
| country ()
| region ()

## Static Public Member Functions
static | getAll ()
static | delete ( $id=false)
static | setMainAddress ( $mainAddress, $user)
static | mainAddress ( $user)

## Public Attributes
| $ID
| $Street1
| $Street2
| $Zip
| $Phone
| $Place
| $RegionID
| $CountryID
| $Name
| $AddressTypeID
| Relation to an eZAddressTypeID. More...
| $PhoneID

## Detailed Description

! eZAddress eZAddress handles addresses.

NOTE: this class defaults to Norwegian country is none is set.

Definition at line 41 of file ezaddress.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZAddress::__construct | ( |  | $id = `""` | ) |

Constructs a new eZAddress object.

Definition at line 46 of file ezaddress.php.

References $ID, and $id.

## Member Function Documentation

## ◆ addressType()

eZAddress::addressType | ( |  | ) |

Returnerer adressetype.

Definition at line 396 of file ezaddress.php.

## ◆ addressTypeID()

eZAddress::addressTypeID | ( |  | ) |

Returnerer adressetype id.

Definition at line 388 of file ezaddress.php.

References $AddressTypeID.

## ◆ copy()

& eZAddress::copy | ( |  | ) |

Copy this object.

Definition at line 190 of file ezaddress.php.

## ◆ country()

eZAddress::country | ( |  | ) |

Returns the country as an eZCountry object.

Definition at line 454 of file ezaddress.php.

## ◆ delete()

static eZAddress::delete | ( |  | $id = `false` | ) |
| static

Sletter adressen med ID == $id;

Definition at line 176 of file ezaddress.php.

References $db, $ID, $id, $res, eZDB\finish(), and eZDB\globalDatabase().

Referenced by eZCompany\delete(), eZUser\removeAddress(), eZUser\removeAddresses(), eZCompany\removeAddresses(), and eZPerson\removeAddresses().

## ◆ get()

eZAddress::get | ( |  | $id = `""` | ) |

Fetches an address with object id==$id;

Definition at line 127 of file ezaddress.php.

References $db, $id, $ret, eZDB\globalDatabase(), and Name.

## ◆ getAll()

static eZAddress::getAll | ( |  | ) |
| static

Henter ut alle adressene lagret i databasen.

Definition at line 163 of file ezaddress.php.

References $db, and eZDB\globalDatabase().

## ◆ id()

eZAddress::id | ( |  | ) |

Returns the object ID.

Definition at line 343 of file ezaddress.php.

References $ID.

## ◆ mainAddress()

static eZAddress::mainAddress | ( |  | $user | ) |
| static

Returns the main address

Definition at line 318 of file ezaddress.php.

References $addressArray, $db, $user, $userID, and eZDB\globalDatabase().

## ◆ name()

eZAddress::name | ( |  | ) |

Returns the name.

Definition at line 367 of file ezaddress.php.

References $Name.

## ◆ phone()

eZAddress::phone | ( |  | ) |

Definition at line 380 of file ezaddress.php.

References $Phone.

## ◆ place()

eZAddress::place | ( |  | ) |

Returns the place.

Definition at line 446 of file ezaddress.php.

References $Place.

## ◆ region()

eZAddress::region | ( |  | ) |

Returns the region as an eZRegion object.

Definition at line 468 of file ezaddress.php.

## ◆ setAddressType()

eZAddress::setAddressType | ( |  | $value | ) |

Setter adressetype.

Definition at line 247 of file ezaddress.php.

## ◆ setAddressTypeID()

eZAddress::setAddressTypeID | ( |  | $value | ) |

Setter adressetype.

Definition at line 263 of file ezaddress.php.

## ◆ setCountry()

eZAddress::setCountry | ( |  | $country | ) |

Sets the country, takes an eZCountry object as argument.

Definition at line 413 of file ezaddress.php.

References $country.

## ◆ setMainAddress()

static eZAddress::setMainAddress | ( |  | $mainAddress,
|  |  | $user
| ) |  |
| static

Sets the main address

Definition at line 279 of file ezaddress.php.

References $db, $mainAddress, $res, $user, $userID, eZDB\finish(), and eZDB\globalDatabase().

## ◆ setName()

eZAddress::setName | ( |  | $value | ) |

Sets the name.

Definition at line 226 of file ezaddress.php.

References Name.

## ◆ setPhone()

eZAddress::setPhone | ( |  | $value | ) |

Definition at line 239 of file ezaddress.php.

## ◆ setPlace()

eZAddress::setPlace | ( |  | $value | ) |

Sets the place value.

Definition at line 405 of file ezaddress.php.

## ◆ setRegion()

eZAddress::setRegion | ( |  | $region | ) |

Sets the region, takes an eZRegion object as argument.

Definition at line 428 of file ezaddress.php.

References $region.

## ◆ setStreet1()

eZAddress::setStreet1 | ( |  | $value | ) |

Setter street1.

Definition at line 210 of file ezaddress.php.

## ◆ setStreet2()

eZAddress::setStreet2 | ( |  | $value | ) |

Setter street2.

Definition at line 218 of file ezaddress.php.

## ◆ setZip()

eZAddress::setZip | ( |  | $value | ) |

Setter postkode.

Definition at line 234 of file ezaddress.php.

## ◆ store()

eZAddress::store | ( |  | ) |

Stores a eZAddress

Definition at line 60 of file ezaddress.php.

References $db, $name, $query, $res, $ret, eZDB\finish(), eZDB\globalDatabase(), and Name.

## ◆ street1()

eZAddress::street1 | ( |  | ) |

Returnerer street1.

Definition at line 351 of file ezaddress.php.

References $Street1.

## ◆ street2()

eZAddress::street2 | ( |  | ) |

Returnerer street2.

Definition at line 359 of file ezaddress.php.

References $Street2.

## ◆ unsetID()

eZAddress::unsetID | ( |  | ) |

Empty this ID.

Definition at line 202 of file ezaddress.php.

## ◆ zip()

eZAddress::zip | ( |  | ) |

Returnerer postkode.

Definition at line 375 of file ezaddress.php.

References $Zip.

## Member Data Documentation

## ◆ $AddressTypeID

eZAddress::$AddressTypeID

Relation to an eZAddressTypeID.

Definition at line 487 of file ezaddress.php.

Referenced by addressTypeID().

## ◆ $CountryID

eZAddress::$CountryID

Definition at line 483 of file ezaddress.php.

## ◆ $ID

eZAddress::$ID

Definition at line 476 of file ezaddress.php.

Referenced by __construct(), delete(), and id().

## ◆ $Name

eZAddress::$Name

Definition at line 484 of file ezaddress.php.

Referenced by name().

## ◆ $Phone

eZAddress::$Phone

Definition at line 480 of file ezaddress.php.

Referenced by phone().

## ◆ $PhoneID

eZAddress::$PhoneID

Definition at line 488 of file ezaddress.php.

## ◆ $Place

eZAddress::$Place

Definition at line 481 of file ezaddress.php.

Referenced by place().

## ◆ $RegionID

eZAddress::$RegionID

Definition at line 482 of file ezaddress.php.

## ◆ $Street1

eZAddress::$Street1

Definition at line 477 of file ezaddress.php.

Referenced by street1().

## ◆ $Street2

eZAddress::$Street2

Definition at line 478 of file ezaddress.php.

Referenced by street2().

## ◆ $Zip

eZAddress::$Zip

Definition at line 479 of file ezaddress.php.

Referenced by zip().

The documentation for this class was generated from the following file:

- ezaddress.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.